PasskeyLoginFinish

POST/auth/v1/passkey/login/finish

Request Body

required
application/json
{
  "$ref": "#/components/schemas/auth.v1.PasskeyLoginFinishRequest",
  "$ref-value": {
    "type": "object",
    "properties": {
      "session_id": {
        "type": "string",
        "title": "session_id"
      },
      "credential": {
        "type": "string",
        "title": "credential",
        "format": "byte"
      }
    },
    "title": "PasskeyLoginFinishRequest",
    "additionalProperties": false
  }
}

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/auth.v1.TokenResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "access_token": {
        "type": "string",
        "title": "access_token"
      },
      "refresh_token": {
        "type": "string",
        "title": "refresh_token"
      },
      "expires_in": {
        "type": "string",
        "title": "expires_in",
        "format": "int64"
      },
      "token_type": {
        "type": "string",
        "title": "token_type"
      },
      "requires_action": {
        "type": "string",
        "title": "requires_action"
      }
    },
    "title": "TokenResponse",
    "additionalProperties": false
  }
}
curl -X POST "https://api.rixl.com/auth/v1/passkey/login/finish" \
  -H "Content-Type: application/json" \
  -d '{}'

Success

application/json

{
  "$ref": "#/components/schemas/auth.v1.TokenResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "access_token": {
        "type": "string",
        "title": "access_token"
      },
      "refresh_token": {
        "type": "string",
        "title": "refresh_token"
      },
      "expires_in": {
        "type": "string",
        "title": "expires_in",
        "format": "int64"
      },
      "token_type": {
        "type": "string",
        "title": "token_type"
      },
      "requires_action": {
        "type": "string",
        "title": "requires_action"
      }
    },
    "title": "TokenResponse",
    "additionalProperties": false
  }
}